Skip to content

List brands for a project

Request

List existing brands according to the specified filters.

Security
OAuth2(Required scopes: read)
Path
projectIdstringrequired

Customer's project id

Query
statusArray of strings

The brand status to filter the brands.

displayNamestring

Filter brands by brand name.

channelNamestring(Channel)

Filter by specific channel available.

Enum ValueDescription
RCS

RCS Channel enables RCS traffic and it is provided by RCS.

SHORT_CODE

The SHORT_CODE Channel enables Short Code traffic and it is provided by the US Short Code Registry.

TENDLC

Ten Digit Long Code (10DLC) channel enables Long Number traffic and it is provided by 10DLC.

contentProviderboolean

Optional boolean flag to filter by content provider. If true, it returns content providers. If false, it returns standard brands. Default is false.

Default:false
thirdPartyMetadataIdstring

Filter brands by an external system's identifier, such as a 10DLC or US Short Code Registry brand ID. Matches against the value of any thirdPartyMetadata entry (see the ThirdPartyElement schema) on any of the brand's registration processes, regardless of which name (e.g. TCR_BRAND_ID, gch_brand_id) it was stored under.

sortstring

Sorting of the results using SQL-like syntax: comma-separated field names with an optional ':desc' or ':asc' suffix. Fields that support sorting are 'displayName', 'status', 'createTime', 'updateTime'. Defaults to ascending order when no suffix is provided.

Example:sort=displayName,status:desc
pageSizeinteger, (int32), [ 1 .. 100 ]

Size of the page to be returned. Default is 20. Maximum is 100.

Default:20
Example:pageSize=20
pageTokenstring

Page token to request subsequent pages when using pagination. This should be the value generated by the system in a previous list request.

curl -i -X GET \
  'https://compliance.api.sinch.com/v1/projects/{projectId}/us/brands?status=ACTIVE&displayName=string&channelName=RCS&contentProvider=false&thirdPartyMetadataId=string&sort=displayName%2Cstatus%3Adesc&pageSize=20&pageToken=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Headers
Bodyapplication/json
brandsArray of objects(BasicBrand)read-only

List of brands

metaobject(PaginationMeta)

Pagination metadata.

Response
{ "brands": [ { … } ], "links": { "next": "https://compliance.api.sinch.com/v1/projects/proj-123/us/brands?pageToken=eyJsYXN0SWQiOiJiMWM3Y2NiZiJ9" }, "meta": { "totalCount": 42 } }
We'd love to hear from you!
Rate this content: